import Handsontable from '@sc/handsontable';
import { parse, style } from '@/utils/frontend/dom';
import { TreeNode } from '@sc/tree';

export default function (
  instance: Handsontable,
  row: number,
  col: number,
  prop: string | number,
  value: any
): HTMLElement {
  let newValue = '';
  if (value) newValue = value.replaceAll('\n', '');

  const template = `
    <div class="ht-indent-renderer">
      <span>${newValue}</span>
    </div>
  `;

  // indent-renderer
  const container = parse(template) as HTMLElement;

  return container;
}
